# sdk_utils library

## Extensions

KotlinFunctionsForObject

## Constants

allDocumentFormatTypes → const List<BarcodeDocumentFormat>
  `[BarcodeDocumentFormat.AAMVA, BarcodeDocumentFormat.BOARDING_PASS, BarcodeDocumentFormat.DE_MEDICAL_PLAN, BarcodeDocumentFormat.MEDICAL_CERTIFICATE, BarcodeDocumentFormat.ID_CARD_PDF_417, BarcodeDocum…`
contourDetectorTypeMap → const Map<DocumentDetectorMode, String>
  `{DocumentDetectorMode.ML_BASED : 'ML_BASED', DocumentDetectorMode.EDGE_BASED : 'EDGE_BASED'}`
imageFormatMap → const Map<ImageFormat, String>
  `{ImageFormat.JPG : 'JPG', ImageFormat.PNG : 'PNG'}`

## Functions

colorFromString(String? color) → Color?
dateFromString(String? string) → DateTime?
fileUriToString(Uri? uri) → String?
imageFilterJsonValue(ImageFilterType filter) → String
stringToFileUri(String? string) → Uri?
toArgbString(Color? color) → String?
toColorString(Color? color) → String?
toRgbaString(Color? color) → String?
uintListFromString(String string) → Uint8List